Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » EMF "Technology" (Ecore Tools, EMFatic, etc)  » JavaFX support for ECP
JavaFX support for ECP [message #1778813] Thu, 21 December 2017 17:49 Go to next message
Jan KowalskiFriend
Messages: 1
Registered: December 2017
Junior Member
Hi,

I noticed there is no JavaFX support for the current version of EMF Client Platform (1.15.0). The support ended with 1.7.2 version (you can see why: https://www.eclipse.org/forums/index.php/t/1082113/).
I want to upgrade e(fx)clipse version to 3.1.0 in my project and this is impossible because of old version of JavaFX renderer in the ECP 1.7.2 which I use.
So my question is what should I do with the old version of JavaFX renderer?

Thanks,
Jan
Re: JavaFX support for ECP [message #1778976 is a reply to message #1778813] Wed, 27 December 2017 10:46 Go to previous message
Jonas Helming is currently offline Jonas HelmingFriend
Messages: 64
Registered: September 2016
Member
Hi Jan,

thank you for posting the question. As stated in the previous thread, we currently do not actively support the JavaFX renderer for EMF Forms anymore. There were some interested parties in this. However, we would need some sponsoring or contributions to update it to the latest version and continuously support it. Please let us know, if you are interested in that.

Best regards,

Jonas

--
Jonas Helming

Get professional Eclipse developer support:
http://eclipsesource.com/en/services/developer-support/
Previous Topic:Model Explorer view reload
Next Topic:Ecore to Emfatic conversion standalone application
Goto Forum:
  


Current Time: Tue Jan 23 08:23:55 GMT 2018

Powered by FUDForum. Page generated in 0.02698 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software